Create Buildpack

Create Buildpack
Create a buildpack

Create a buildpack.

Request
URI
POST
https://api.example.local/v3/buildpacks
COPY
Request Body

Buildpack object that needs to be added

BuildpackCreateRequestBody of type(s) application/json
Optional

Show optional properties

{
    "name": "string"
}
{
    "name": "string",
    "stack": "string",
    "position": 0,
    "lifecycle": "string",
    "enabled": false,
    "locked": false,
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
201

Successfully created buildpack

Returns BuildpackCreateResponse of type(s) application/json
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "name": "string",
    "state": "string",
    "stack": "string",
    "lifecycle": "string",
    "position": 0,
    "enabled": false,
    "locked": false,
    "filename": "string",
    "metadata": {
        "labels": {
            "labels": "string"
        },
        "annotations": {
            "annotations": "string"
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "upload": {
            "href": "string",
            "method": "string"
        }
    }
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


503

Service Unavailable

Returns ServiceUnavailable of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/v3/buildpacks